#### PyKDE - Python Bindings for KDE

# class KDEDesktopMimeType.Service |
Table of contents
Modules
kio Classes
All Classes

Module | kio
Class | KDEDesktopMimeType.Service
Inherits |

### methods

- Service ()

  returns a Service instance

- isEmpty ()

  returns (bool)
  In versions KDE 3.2.0 and above only

### variables

- variables

  Variable | Type
  --- | ---
  m_display | bool
  m_strExec | QString
  m_strIcon | QString
  m_strName | QString
  m_type | KDEDesktopMimeType::ServiceType